Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PlayerPoseCollection Class Reference

This class contains the PlayerPoses of all detected robots. More...

`#include <PlayerPoseCollection.h>`

Collaboration diagram for PlayerPoseCollection:

[legend]
List of all members.

## Public Member Functions
| PlayerPoseCollection ()
| Constructor.
| PlayerPoseCollection (PlayerPoseCollection &other)
| Copy-Constructor.
| ~PlayerPoseCollection ()
| Destructor.
void | setOwnPlayerPose (int index, const PlayerPose &pose)
| sets a player pose of the own team at a given index
void | setOwnPlayerPose (int index, const double &x, const double &y, const double &rotation)
| sets a player pose of the own team at a given index
void | setOwnPlayerPose (int index, const double &x, const double &y, const double &rotation, const double &validity)
| sets a player pose of the own team at a given index
void | setOwnPlayerPose (const RobotPose pose, const Player::playerNumber playerNumber)
| sets a player pose of the own team
const PlayerPose & | getOwnPlayerPose (int index) const
| returns a player pose of the own team for a given index
const bool | getOwnPlayerPoseByPlayerNumber (Player::playerNumber player, PlayerPose &pose) const
| returns the player pose of the own team for a given player number
void | setOpponentPlayerPose (int index, const PlayerPose &pose)
| sets a player pose of the opponent team at a given index
void | setOpponentPlayerPose (int index, const double &x, const double &y, const double &rotation)
| sets a player pose of the opponent team at a given index
void | setOpponentPlayerPose (int index, const double &x, const double &y, const double &rotation, const double &validity)
| sets a player pose of the opponent team at a given index
const PlayerPose & | getOpponentPlayerPose (int index) const
| returns a player pose of the opponent team for a given index
void | operator= (const PlayerPoseCollection &other)
| copies another PlayerPoseCollection to this one
## Public Attributes
int | numberOfOpponentPlayers
| Number of located opponent robots.
int | numberOfOwnPlayers
| Number of located own robots.
## Protected Attributes
PlayerPose | opponentPlayerPoses [4]
| A list of located opponent robots.
PlayerPose | ownPlayerPoses [3]
| A list of located own robots.
## Friends
In & | operator>> (In &stream, PlayerPoseCollection &playerPoseCollection)
| give the In operator acess to protected members
Out & | operator<< (Out &stream, const PlayerPoseCollection &playerPoseCollection)
| give the Out operator acess to protected members

## Detailed Description

This class contains the PlayerPoses of all detected robots.

Definition at line 161 of file PlayerPoseCollection.h.

## Constructor & Destructor Documentation

PlayerPoseCollection::PlayerPoseCollection | ( |  | ) |

| Constructor. Definition at line 22 of file PlayerPoseCollection.cpp. References numberOfOpponentPlayers, and numberOfOwnPlayers.

PlayerPoseCollection::PlayerPoseCollection | ( | PlayerPoseCollection & | other | ) |

| Copy-Constructor. Definition at line 32 of file PlayerPoseCollection.cpp.

PlayerPoseCollection::~PlayerPoseCollection | ( |  | ) |

| Destructor. Definition at line 28 of file PlayerPoseCollection.cpp.

## Member Function Documentation

void PlayerPoseCollection::setOwnPlayerPose | ( | int | index,
|  | const PlayerPose & | pose
| ) | `[inline]`

| sets a player pose of the own team at a given index Definition at line 174 of file PlayerPoseCollection.h. References ownPlayerPoses. Referenced by GTCamPlayersLocator::execute(), operator=(), and LogPlayer::saveSynchronized().

void PlayerPoseCollection::setOwnPlayerPose | ( | int | index,
|  | const double & | x,
|  | const double & | y,
|  | const double & | rotation
| ) | `[inline]`

| sets a player pose of the own team at a given index Definition at line 177 of file PlayerPoseCollection.h. References ownPlayerPoses, and PlayerPose::setPose().

Here is the call graph for this function:

void PlayerPoseCollection::setOwnPlayerPose | ( | int | index,
|  | const double & | x,
|  | const double & | y,
|  | const double & | rotation,
|  | const double & | validity
| ) | `[inline]`

| sets a player pose of the own team at a given index Definition at line 181 of file PlayerPoseCollection.h. References ownPlayerPoses, PlayerPose::setPose(), and PlayerPose::setValidity().

Here is the call graph for this function:

void PlayerPoseCollection::setOwnPlayerPose | ( | const RobotPose | pose,
|  | const Player::playerNumber | playerNumber
| ) | `[inline]`

| sets a player pose of the own team Definition at line 202 of file PlayerPoseCollection.h. References numberOfOwnPlayers, ownPlayerPoses, PlayerPose::setPlayerNumber(), PlayerPose::setRobotPose(), and PlayerPose::setTimeStamp().

Here is the call graph for this function:

const PlayerPose& PlayerPoseCollection::getOwnPlayerPose | ( | int | index | ) | const`[inline]`

| returns a player pose of the own team for a given index Definition at line 213 of file PlayerPoseCollection.h. References ownPlayerPoses. Referenced by AngleSymbols::calculateCombinedAngles(), GT2005ObstaclesLocator::determineNextFreeTeammate(), GTCamPlayersLocator::execute(), PassSymbols::getAngleToPassReceiver(), GT2005StrategySymbols::getAngleToTeammate(), OpenChallengeSymbols::guideDogMoveForward(), OpenChallengeSymbols::guideDogTellsBlindDogTurn(), operator=(), Field::placePlayers(), and LogPlayer::saveSynchronized().

const bool PlayerPoseCollection::getOwnPlayerPoseByPlayerNumber | ( | Player::playerNumber | player,
|  | PlayerPose & | pose
| ) | const`[inline]`

| returns the player pose of the own team for a given player number Definition at line 216 of file PlayerPoseCollection.h. References PlayerPose::getPlayerNumber(), numberOfOwnPlayers, and ownPlayerPoses. Referenced by PassSymbols::getAngleToPassSender().

Here is the call graph for this function:

void PlayerPoseCollection::setOpponentPlayerPose | ( | int | index,
|  | const PlayerPose & | pose
| ) | `[inline]`

| sets a player pose of the opponent team at a given index Definition at line 232 of file PlayerPoseCollection.h. References opponentPlayerPoses. Referenced by GTCamPlayersLocator::execute(), operator=(), and LogPlayer::saveSynchronized().

void PlayerPoseCollection::setOpponentPlayerPose | ( | int | index,
|  | const double & | x,
|  | const double & | y,
|  | const double & | rotation
| ) | `[inline]`

| sets a player pose of the opponent team at a given index Definition at line 235 of file PlayerPoseCollection.h. References opponentPlayerPoses, and PlayerPose::setPose().

Here is the call graph for this function:

void PlayerPoseCollection::setOpponentPlayerPose | ( | int | index,
|  | const double & | x,
|  | const double & | y,
|  | const double & | rotation,
|  | const double & | validity
| ) | `[inline]`

| sets a player pose of the opponent team at a given index Definition at line 239 of file PlayerPoseCollection.h. References opponentPlayerPoses, PlayerPose::setPose(), and PlayerPose::setValidity().

Here is the call graph for this function:

const PlayerPose& PlayerPoseCollection::getOpponentPlayerPose | ( | int | index | ) | const`[inline]`

| returns a player pose of the opponent team for a given index Definition at line 246 of file PlayerPoseCollection.h. References opponentPlayerPoses. Referenced by GTCamPlayersLocator::execute(), operator=(), Field::placePlayers(), LogPlayer::saveSynchronized(), and GTStandardConverter::setData().

void PlayerPoseCollection::operator= | ( | const PlayerPoseCollection & | other | ) |

| copies another PlayerPoseCollection to this one Definition at line 37 of file PlayerPoseCollection.cpp. References getOpponentPlayerPose(), getOwnPlayerPose(), numberOfOpponentPlayers, numberOfOwnPlayers, setOpponentPlayerPose(), and setOwnPlayerPose().

Here is the call graph for this function:

## Friends And Related Function Documentation

In& operator>> | ( | In & | stream,
|  | PlayerPoseCollection & | playerPoseCollection
| ) | `[friend]`

  | give the In operator acess to protected members Parameters:
  stream | The stream from which is read.
  playerPoseCollection | The PlayerPoseCollection object.
Returns: The stream. Definition at line 52 of file PlayerPoseCollection.cpp.

Out& operator<< | ( | Out & | stream,
|  | const PlayerPoseCollection & | playerPoseCollection
| ) | `[friend]`

  | give the Out operator acess to protected members Parameters:
  stream | The stream to write on.
  playerPoseCollection | The PlayerPoseCollection object.
Returns: The stream. Definition at line 72 of file PlayerPoseCollection.cpp.

## Member Data Documentation

int PlayerPoseCollection::numberOfOpponentPlayers

| Number of located opponent robots. Definition at line 252 of file PlayerPoseCollection.h. Referenced by GTCamPlayersLocator::GTCamPlayersLocator(), operator<<(), operator=(), operator>>(), Field::placePlayers(), PlayerPoseCollection(), LogPlayer::saveSynchronized(), and GTStandardConverter::setData().

int PlayerPoseCollection::numberOfOwnPlayers

| Number of located own robots. Definition at line 255 of file PlayerPoseCollection.h. Referenced by OpenChallengeSymbols::blindDogMoveForward(), OpenChallengeSymbols::blindDogTurn(), AngleSymbols::calculateCombinedAngles(), GT2005ObstaclesLocator::determineNextFreeTeammate(), GT2005StrategySymbols::getAngleToTeammate(), getOwnPlayerPoseByPlayerNumber(), GTCamPlayersLocator::GTCamPlayersLocator(), OpenChallengeSymbols::guideDogMoveForward(), OpenChallengeSymbols::guideDogTellsBlindDogTurn(), operator<<(), operator=(), operator>>(), Field::placePlayers(), PlayerPoseCollection(), LogPlayer::saveSynchronized(), and setOwnPlayerPose().

PlayerPose PlayerPoseCollection::opponentPlayerPoses[4]`[protected]`

| A list of located opponent robots. Definition at line 265 of file PlayerPoseCollection.h. Referenced by getOpponentPlayerPose(), operator<<(), operator>>(), and setOpponentPlayerPose().

PlayerPose PlayerPoseCollection::ownPlayerPoses[3]`[protected]`

| A list of located own robots. Definition at line 268 of file PlayerPoseCollection.h. Referenced by getOwnPlayerPose(), getOwnPlayerPoseByPlayerNumber(), operator<<(), operator>>(), and setOwnPlayerPose().

The documentation for this class was generated from the following files:

- Representations/Cognition/PlayerPoseCollection.h
- Representations/Cognition/PlayerPoseCollection.cpp